<template>
  <v-card
    class="mx-auto"
    max-width="344"
    justify="center" align="center"
  >

    <div class="addProduct">
      <div>
        <h1>Product toevoegen</h1>
        <v-text-field
          label="Product naam"
          hide-details="auto"
          v-model="productTitle"
        ></v-text-field>

        <v-text-field
          v-model="productPrice"
          hide-details
          single-line
          type="number"
          label="prijs"
        />

        <v-textarea
          name="input-7-1"
          label="Descriptie"
          v-model="productDesc"
        ></v-textarea>
        <v-btn depressed @click="createProduct">
          Toevoegen
        </v-btn>

      </div>
    </div>
  </v-card>
</template>

<script>
import {createProduct} from '~/clients/dataClient';

export default {
  name: 'addProduct',
  data() {
    return{
      productTitle: '',
      productPrice: 0,
      productDesc: ''
    }
  },
  methods: {
    createProduct() {
      createProduct(this.productTitle, this.productPrice, this.productDesc).then(
        this.$router.push('/')
      );
    }
  },
  head() {
    return {
      title: "addProduct",
      meta: [
        { hid: 'description', name: 'description', content: 'Registereer je nu voor TopicShop!' },
        { hid: 'keywords', name: 'keywords', content: '3D, 3D printer, webshop, 3D component, PLA-filament, kopen, verkopen, product toevoegen, TopicShop, verkoper'},
      ]
    }
  }
};
</script>

<style scoped>
.addProduct {
  padding: 1rem;
}
</style>
